Name: bzr
Version: 1.7.1
Release: alt0.M40.1

Summary: Bazaar is a decentralized revision control system
License: GPL2+
Group: Development/Other
Url: http://bazaar-vcs.org

Source0: %name-%version.tar.gz

%add_python_req_skip _lsprof

Obsoletes: bzr-doc < 1.6.0
Provides: bzr-doc = %version-%release

Packager: Igor Zubkov <icesik@altlinux.org>

# Automatically added by buildreq on Mon Mar 17 2008 (-bi)
BuildRequires: python-module-Pyrex python-modules-compiler python-module-ctypes python-modules-email python-modules-logging

%description
Bazaar is a distributed version control system that Just Works. While
many similar systems require you to adapt to their model of working,
Bazaar adapts to the workflows you want to use, and it takes only five
minutes to try it out. People have used it to version pretty much
anything: single-file projects, your /etc directory and even the
thousands of files and revisions in the source code for Launchpad
and others.

Bazaar runs on Windows, GNU/Linux, UNIX and Mac OS, and requires only
Python 2.4. If you can run Python, you can run Bazaar.


%prep
%setup -q -n %name-%version

%build
%__python setup.py build

%install
%define _compress_method none
CFLAGS="%optflags" %__python setup.py \
	install --optimize=2 \
		--root=%buildroot \
                --install-data=%_datadir \
		--record=INSTALLED_FILES

%files -f INSTALLED_FILES
%doc BRANCH.TODO INSTALL NEWS README TODO
%doc doc contrib

%changelog
* Fri Oct 10 2008 Igor Vlasenko <viy@altlinux.ru> 1.7.1-alt0.M40.1
- 1.7.1

* Thu May 22 2008 Igor Zubkov <icesik@altlinux.org> 1.5-alt2
- 1.5rc1 -> 1.5 release

* Sat May 10 2008 Igor Zubkov <icesik@altlinux.org> 1.5-alt1
- 1.4 release -> 1.5rc1

* Fri May 02 2008 Igor Zubkov <icesik@altlinux.org> 1.4-alt3
- 1.4rc2 -> 1.4 release

* Wed Apr 23 2008 Igor Zubkov <icesik@altlinux.org> 1.4-alt2
- 1.4rc1 -> 1.4rc2

* Wed Apr 16 2008 Igor Zubkov <icesik@altlinux.org> 1.4-alt1
- 1.3.1 release -> 1.4rc1

* Tue Apr 15 2008 Igor Zubkov <icesik@altlinux.org> 1.3.1-alt1
- 1.3 release -> 1.3.1 release

* Fri Mar 21 2008 Igor Zubkov <icesik@altlinux.org> 1.3-alt2
- 1.3rc1 -> 1.3 release

* Sun Mar 16 2008 Igor Zubkov <icesik@altlinux.org> 1.3-alt1.rc1
- 1.2 release -> 1.3rc1

* Sun Feb 24 2008 Igor Zubkov <icesik@altlinux.org> 1.2-alt1
- 1.1 release -> 1.2 release

* Mon Jan 28 2008 Grigory Batalov <bga@altlinux.ru> 1.1-alt2.1
- Rebuilt with python-2.5.

* Tue Jan 15 2008 Igor Zubkov <icesik@altlinux.org> 1.1-alt2
- 1.1rc1 -> 1.1 release

* Sun Jan 06 2008 Igor Zubkov <icesik@altlinux.org> 1.1-alt1.rc1
- 1.0 -> 1.1rc1

* Tue Dec 18 2007 Igor Zubkov <icesik@altlinux.org> 1.0-alt2
- 1.0rc3 -> 1.0 release

* Tue Dec 18 2007 Igor Zubkov <icesik@altlinux.org> 1.0-alt1.rc3
- 1.0rc2 -> 1.0rc3

* Sun Dec 09 2007 Igor Zubkov <icesik@altlinux.org> 1.0-alt1.rc2
- 1.0rc1 -> 1.0rc2

* Sat Dec 01 2007 Igor Zubkov <icesik@altlinux.org> 1.0-alt1.rc1
- 0.92 -> 1.0rc1

* Tue Nov 13 2007 Igor Zubkov <icesik@altlinux.org> 0.92-alt2
- 0.92rc1 -> 0.92

* Tue Oct 30 2007 Igor Zubkov <icesik@altlinux.org> 0.92-alt1.rc1
- 0.91 -> 0.92rc1

* Wed Sep 26 2007 Igor Zubkov <icesik@altlinux.org> 0.91-alt1
- 0.90 -> 0.91

* Tue Sep 11 2007 Igor Zubkov <icesik@altlinux.org> 0.90-alt1
- 0.18 -> 0.90
- buildreq

* Wed Jul 18 2007 Igor Zubkov <icesik@altlinux.org> 0.18-alt1
- 0.14 -> 0.18
- move doc and contrib to bzr package (no more bzr-doc)
- buildreq

* Thu Mar 01 2007 Igor Zubkov <icesik@altlinux.org> 0.14-alt1
- 0.7 -> 0.14
- buildarch -> noarch
- buildreq

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.7-alt1.1
- Rebuilt using rpm-build-python-0.29-alt4.

* Mon Apr 03 2006 Andriy Stepanov <stanv@altlinux.ru> 0.7-alt1
- Init build

